import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
export default {
  // 督办列表
  getTaskList(query) {
    return micro_request.postRequest(basePath, 'Task', 'GetList', query)
  },
  // 创建督办
  createTask(query) {
    return micro_request.postRequest(basePath, 'Task', 'Create', query)
  },
  // 更新督办状态
  updateTaskStatus(query) {
    return micro_request.postRequest(basePath, 'Task', 'ChangeStatus', query)
  },
  // 统计各类型督办数量
  statisticsTaskNumber(query) {
    return micro_request.postRequest(basePath, 'Task', 'StatisticsTaskNumber', query)
  },
  // 数据导出
  exportTasks(query) {
    return micro_request.postRequest(basePath, 'Task', 'Export', query)
  },
  // 评论列表
  getTaskCommentList(query) {
    return micro_request.postRequest(basePath, 'TaskComment', 'GetList', query)
  },
  // 添加评论
  createTaskComment(query) {
    return micro_request.postRequest(basePath, 'TaskComment', 'Create', query)
  },
  // 日志列表
  getTaskLogList(query) {
    return micro_request.postRequest(basePath, 'TaskLog', 'GetList', query)
  },
  // 督办进展列表
  getTaskProgressList(query) {
    return micro_request.postRequest(basePath, 'TaskProgress', 'GetList', query)
  },
  // 添加督办进展
  createTaskProgress(query) {
    return micro_request.postRequest(basePath, 'TaskProgress', 'Create', query)
  },
}
